package top.ninwoo.edgecenter;


import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.annotation.EnableScheduling;

import javax.annotation.Resource;

@SpringBootApplication
@EnableScheduling
@MapperScan("top.ninwoo.edgecenter.dao")
public class EdgeCenterApp {
    public static void main(String[] args) {
        SpringApplication.run(EdgeCenterApp.class, args);
    }

}