package top.ninwoo.edgecenter.controller;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import top.ninwoo.common.EdgeNodeEntity;
import top.ninwoo.edgecenter.service.EdgeService;
import top.ninwoo.utils.util.impl.IpUtils;

import javax.annotation.Resource;

@RestController
@RequestMapping("/edgeNode")
public class EdgeController {

    @Resource
    private EdgeService edgeService;

    /**
     * 获取边缘节点的信息
     * @return
     */
    @RequestMapping("/info")
    public EdgeNodeEntity info() {
        return edgeService.info();
    }
}
