package top.ninwoo.utils.entity;

import java.util.List;
import java.util.Objects;

/**
 * @author joliu
 * @date 2019-9-13
 */
public class Ovs {
    private String id;
    private List<OvsBridge> bridges;
    private String ovsVersion;

    public String getOvsVersion() {
        return ovsVersion;
    }

    public void setOvsVersion(String ovsVersion) {
        this.ovsVersion = ovsVersion;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public List<OvsBridge> getBridges() {
        return bridges;
    }

    public void setBridges(List<OvsBridge> bridges) {
        this.bridges = bridges;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof Ovs)) {
            return false;
        }
        Ovs ovs = (Ovs) o;
        return id.equals(ovs.id) &&
                Objects.equals(bridges, ovs.bridges) &&
                ovsVersion.equals(ovs.ovsVersion);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, bridges, ovsVersion);
    }
}
