package top.ninwoo.utils.service;

import top.ninwoo.utils.entity.OvsBridge;

import java.util.List;

public interface OVSService {
    List<OvsBridge> getOvsBridges();

    boolean isBridge(String bridgeName);

    boolean delBridge(String bridgeName);

    void addBridge(String bridgeName);

    boolean linkOvs(String br1, String br2);

    boolean delOvs(String br1, String br2);

    boolean setVxlan(String bridgeName, String remoteIp);

    // TODO: 这里边的vxlan端口都设置为了vxlan0
    boolean delVxlan(String bridgeName);

    boolean delBridgePort(String bridgeName, String portName);

    void setController(String bridgeName, String host, int port);
}
